export interface DebugElement extends JQLite {
    nativeElement: HTMLElement;
    query(selector: string): DebugElement;
}
export declare class ComponentFixture<T> {
    private element;
    /**
     * The DebugElement associated with the root element of this component.
     */
    debugElement: DebugElement;
    /**
     * The instance of the root component class.
     */
    componentInstance: T;
    /**
     * The native element at the root of the component.
     */
    nativeElement: HTMLElement;
    constructor(element: JQLite);
    /**
     * Trigger a change detection cycle for the component.
     */
    detectChanges(): void;
    /**
     * Trigger component destruction.
     */
    destroy(): void;
}
