import 'angular-mocks';
import { ModuleConfig, Type } from 'angular-ts-decorators';
import { ComponentFixture } from './ComponentFixture';
/**
 * @whatItDoes Configures and initializes environment for unit testing and provides methods for
 * creating components and services in unit tests.
 * @description
 *
 * TestBed is the primary api for writing unit tests for Angular applications and libraries.
 *
 * @stable
 */
export declare class TestBed {
    /**
     * Allows overriding default providers, directives, pipes, modules of the test injector,
     * which are defined in test_injector.js
     */
    static configureTestingModule(moduleDef: ModuleConfig): typeof TestBed;
    static resetTestingModule(): typeof TestBed;
    static createComponent<T>(component: Type<T>): ComponentFixture<T>;
}
